import { Dispatcher } from "./events/Dispatcher";
import { MainElement } from "./ui/MainElement";
import { LibraryManager } from "./LibraryManager";
import { StormLibrary } from "@stormstreaming/stormlibrary";
import { StormGUIConfigImpl } from "./StormGUIConfigImpl";
import { StormPlayerConfig } from "./types/StormPlayerConfig";
import { StormStreamConfig } from "@stormstreaming/stormlibrary";
export declare class StormPlayer extends Dispatcher {
    private static NEXT_PLAYER_ID;
    private readonly id;
    private readonly instanceName;
    private playerConfig;
    private mainElement;
    private libraryManager;
    private readonly origGUIConfig;
    private readonly origLibraryConfig;
    private started;
    waitingRoom: boolean;
    constructor(guiConfig: StormPlayerConfig, stormLibraryConfig: StormStreamConfig, wait?: boolean);
    initialize(): void;
    addEventListener(event: string | number, callback: any): boolean;
    removeEventListener(event: string | number, callback?: any): boolean;
    setLibraryManager(): void;
    addCuePoint(title: string, time: number): void;
    removeCuePoint(time: number): void;
    getLibrary(): StormLibrary;
    getInstanceID(): number;
    getInstanceName(): string;
    getMainElement(): MainElement;
    setSize(width: number | string, height: number | string): void;
    setWidth(width: number | string): void;
    setHeight(height: number | string): void;
    setStyle(config: any): void;
    getWidth(): number;
    getHeight(): number;
    setTitle(title: string): void;
    setSubtitle(subtitle: string): void;
    getPlayerConfig(): StormGUIConfigImpl;
    getOrigLibraryConfig(): StormStreamConfig;
    getOrigGUIConfig(): StormPlayerConfig;
    getLibraryManager(): LibraryManager;
    isTouchDevice(): boolean;
    destroy(): void;
}
